=== debian/changelog ===
piuparts (1.4.4) unstable; urgency=medium

  [ Alexandre Detiste ]
  * remove dependency on python3-nose (Closes: #1018437)

  [ Jochen Sprickerhof ]
  * Move debootstrap to recommends

  [ Nicolas Dandrimont ]
  * Only report /usr-move failures when the end-state is bookworm or older
    (Closes: #1078598)
  * Fix go building from a VCS checkout
  * Makefile: install html files more reliably
  * Update distro aliases to match the current reality
  * Update suite configurations on piuparts.debian.org to match

  [ Gioele Barabucci ]
  * gitlab-ci/lint.yml: black: Show diff when check fails

 -- Nicolas Dandrimont <olasd@debian.org>  Tue, 24 Sep 2024 16:16:51 +0200
