=== debian/tests/control ===
Tests: smoke-test
Depends: piuparts, debootstrap
Restrictions: needs-root

Tests: all-python-versions
Depends: piuparts, python3-all, debootstrap
Restrictions: needs-root
