## piuparts 1.5.1

=== debian/changelog ===
piuparts (1.5.1) unstable; urgency=medium

  [ Nicolas Dandrimont ]
  * Handle situations where /dev/tty exists but is not connected
  * Don't crash when requesting chroot removal before it's initialized

  [ Jochen Sprickerhof ]
  * Allow running without PATH being set

 -- Nicolas Dandrimont <olasd@debian.org>  Fri, 15 Nov 2024 15:47:13 +0100

piuparts (1.5.0) unstable; urgency=medium

  [ Helmut Grohne ]
  * piuparts: reexecute via unshare when run as non-root
  * install piuparts to /usr/bin
  * suggest installing uidmap

  [ Jochen Sprickerhof ]
  * Add --bootstrapcmd to use alternative bootstrap commands

  [ Nicolas Dandrimont ]
  * bind-mount the minimal /dev devices if they can't be opened (Closes: #1084234)
  * packagesdb: resolve virtual packages when detecting dependency cycles
  * Add autopkgtest for unshared piuparts
  * Script updates for dracut-related packages

 -- Nicolas Dandrimont <olasd@debian.org>  Thu, 14 Nov 2024 12:19:16 +0100
