## piuparts 1.6.0

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 prefix = /usr/local
-sbindir = $(prefix)/sbin
+bindir = $(prefix)/bin
 sharedir = $(prefix)/share
 mandir = $(sharedir)/man
 man1dir = $(mandir)/man1
@@ -30,7 +30,7 @@
 	-e 's/__PIUPARTS_VERSION__/$(version)/g' \
 	-e 's%@libdir@%$(libdir)%g' \
 	-e 's%@sharedir@%$(sharedir)%g' \
-	-e 's%@sbindir@%$(sbindir)%g' \
+	-e 's%@bindir@%$(bindir)%g' \
 	$< > $@
 endef
 
@@ -147,8 +147,8 @@
 	#install -m 0644 known_problems/*.conf $(DESTDIR)$(etcdir)/piuparts/known_problems/
 
 install-slave: install-common
-	install -d $(DESTDIR)$(sbindir)
-	install -m 0755 piuparts $(DESTDIR)$(sbindir)/
+	install -d $(DESTDIR)$(bindir)
+	install -m 0755 piuparts $(DESTDIR)$(bindir)/
 
 	install -d $(DESTDIR)$(sharedir)/piuparts
 	install -m 0755 piuparts-slave $(DESTDIR)$(sharedir)/piuparts/
