=== debian/changelog ===
piuparts (1.6.0) unstable; urgency=medium

  * Ignore /var/cache/debconf/tmp.ci/ (Closes: #1092667)
  * Extend allow-database policy-rc.d for firebird4.0 (Closes: #1095408)
  * Support versioned provides in metapackage generation
  * Record and ignore files affected by systemd-tmpfiles (Closes: #1036399)
  * Always use --allow-remove-essential on removals (Closes: #1010967, #1084173)

 -- Nicolas Dandrimont <olasd@debian.org>  Thu, 20 Mar 2025 22:02:58 +0100
