=== debian/control ===
--- 
+++ 
@@ -41,10 +41,11 @@
  ${sphinxdoc:Depends}
 Recommends:
  adequate,
- debootstrap,
+ debootstrap | mmdebstrap,
 Suggests:
  schroot,
  docker.io,
+ uidmap,
 Description: .deb package installation, upgrading, and removal testing tool
  piuparts tests that .deb packages (as used by Debian) handle
  installation, upgrading, and removal correctly. It does this by
@@ -167,7 +168,7 @@
  ${misc:Depends},
  ${python3:Depends},
 Recommends:
- debootstrap,
+ debootstrap | mmdebstrap,
 Description: dependencies for running piuparts slave from git
  piuparts is meant as a quality assurance tool for people who create .deb
  packages to test them before they upload them to the Debian package archive.
