=== debian/tests/control ===
Tests: smoke-test
Depends: piuparts, debootstrap, mmdebstrap
Restrictions: needs-root

Tests: all-python-versions
Depends: piuparts, python3-all, debootstrap
Restrictions: needs-root

Tests: unshare
Depends: piuparts, uidmap, debootstrap
Restrictions: needs-root, skippable
