## piuparts 1.6.0build1

=== debian/changelog ===
piuparts (1.6.0build1) resolute; urgency=medium

  * No-change mass rebuild for Ubuntu 26.04 (LP: #2132257)

 -- Graham Inggs <ginggs@ubuntu.com>  Tue, 27 Jan 2026 13:29:27 +0000
